/**
 * OW2 Util
 * Copyright (C) 2012 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Event.java 6261 2012-05-23 10:57:56Z benebrice $
 * --------------------------------------------------------------------------
 */
package org.ow2.util.auditreport.impl.event;

import org.ow2.util.auditreport.impl.GenericAuditReport;
import org.ow2.util.event.api.IEvent;
import org.ow2.util.event.api.IEventListener;

/**
 * Event contains audit report and dispatched by eventService on dispatcher(s)
 */
public class Event implements IEvent {
    /**
     * audit report
     */
    GenericAuditReport report;

    /**
     * Constructor
     */
    public Event(final GenericAuditReport report) {
        this.report = report;
    }

    /**
     * this method check if a listener can receive this event
     */
    public boolean checkPermission(IEventListener eventListener) {
        if (eventListener != null)
            return true;
        return false;
    }

    /**
     * getter of report
     */
    public GenericAuditReport getReport() {
        return report;
    }

}
